use criterion::{criterion_group, criterion_main, Criterion};

fn render_cover_400_225_rayon_100spp(c: &mut Criterion) {
	let mut group = c.benchmark_group("render_cover_400_225_rayon_100spp_group");
	let raytracer = rsrt::cover(400, 225, 100);
	group.sample_size(10);
	group.bench_function("render_cover_400_225_rayon_100spp", |b| {
		b.iter(|| raytracer.render_multithread_rayon())
	});
	group.finish();
}

criterion_group!(render_cover_400_225, render_cover_400_225_rayon_100spp);
criterion_main!(render_cover_400_225);
